DESCRIPTION = "Timer for GPIO"

SRC_URI = "file://gpiotimer.c \
	file://gpio_dev.h \
	file://gpiotimercgi.c \
	file://gpiotimer.h \
	file://gpiotimer.html"

S = "${WORKDIR}"

do_compile() {
	$CC $CFLAGS $LDFLAGS -pthread gpiotimer.c -o gpiotimer
	$CC $CFLAGS $LDFLAGS gpiotimercgi.c -o gpiotimercgi
}

do_install() {
	install -d  ${D}/usr/bin/
	install -m 0755 ${S}/gpiotimer ${D}${bindir}/
	install -d  ${D}/www/cgi-bin/
	install -m 0755 ${S}/gpiotimercgi ${D}/www/cgi-bin/gpiotimer
	install -m 0755 ${S}/gpiotimer.html ${D}/www/gpiotimer.html
}

FILES_${PN} += "/usr/bin/gpiotimer \
                /www/cgi-bin/gpiotimer \
                /www/gpiotimer \
                /www/gpiotimer.html"
PACKAGE_ARCH = "all"


